div.productForm {
	.form {
		div {
			&.line {
				&>label {
					&:first-child {
						margin:0;
					}
				}

				&:has(#property) {
					.block {
						&:has(option[value="n"]:checked) {
							&+.block {
								display:none;
							}
						}
					}
				}

				&:has(#financialIncome) {
					.block {
						&:nth-child(2) {
							&:not(:has(a)) {
								display:none;
							}
						}
					}
				}

				div {
					&.block {
						&.r {
							padding:0;

							.cb {
								&+label {
									line-height: 40px;

									&:before,
									&:after {
										top:50%;
										transform:translateY(-50%);
									}
								}
							}
						}

						&#financialDocument {
							a {
								margin:0;
							}
						}

						a {
							display:inline-block;
							font-size:14px;
							text-decoration:underline;
							margin-top:10px;

							&:hover {
								text-decoration:none;
							}
						}

						&.action {
							a {
								margin:0;
							}
						}
					}

					&.t {
						width:100%;

						&.family {
							&:has(option[value="FATHER"]:checked) {
								option[value="FATHER"] {
									display:none;

									&:checked {
										display:block;
									}
								}
							}

							&:not(:has(.r:nth-child(2))) {
								display:none;
							}

							&:has(option[value="MOTHER"]:checked) {
								option[value="MOTHER"] {
									display:none;

									&:checked {
										display:block;
									}
								}
							}
						}

						&.obligations {
							&:not(:has(.r:nth-child(2))) {
								display:none;
							}
						}

						.r {
							& + .r {
								.c {
									padding-top:10px;
								}
							}

							.c {
								padding:0;
								font-size:14px;

								& + .c {
									padding-left:20px;
								}

								&.h {
									font-weight:500;
								}

								&:not(:has(select[name*="death_diagnosis"] option[value="DISEASE"]:checked)) {
									.select:has(select[name*="death_diagnosis_disease"]) {
										display:none;
									}
								}

								.select {
									&+.select {
										margin-top:10px;
									}
								}
							}
						}

						&.financial {
							.r {
								&.h {
									.c {
										font-size:16px;
										font-weight:500;
									}
								}
							}
						}
					}
				}
			}
		}
	}

	#orderForm {
		&[data-step="1"] {
			.line {
				&:has(#notificationEMail) {
					&:not(:has(#notificationEMail:checked)) {
						.block {
							&:has(#email) {
								display:none;
							}

							&.r {
								& > label {
									&:first-child {
										display:none;
									}
								}

								.cb {
									& + label {
										line-height:20px;
									}
								}
							}
						}
					}
				}

				&:has(#notificationInsuredEMail) {
					&:not(:has(#notificationInsuredEMail:checked)) {
						.block {
							&:has(#insuredEmail) {
								display:none;
							}

							&.r {
								& > label {
									&:first-child {
										display:none;
									}
								}

								.cb {
									& + label {
										line-height:20px;
									}
								}
							}
						}
					}
				}

				&:has(#profession) {
					&:not(:has(#profession option[data-other="1"]:checked)) {
						.block {
							&:has(#otherProfession) {
								display:none;
							}
						}
					}

					&:has(#profession option[data-other="1"]:checked) {
						.block {
							flex:0 0 calc((100% - var(--Gap))/2);
						}
					}
				}

				&[id*="employmentTypeLine"] {
					.block {
						&>label {
							&:first-child {
								white-space:nowrap;
							}
						}

						&:has([id*="employmentType"] option[value="UNEMPLOYED"]:checked),
						&:has([id*="employmentType"] option[value="STUDENT"]:checked),
						&:has([id*="employmentType"] option[value="UNEMPLOYED_HOUSEWIFE"]:checked) {
							&~.block {
								display:none;
							}
						}

						&:has([id*="employmentType"] option[value="OTHER"]:not(:checked)) {
							&~.block {
								&:has([id*="employmentTypeOther"]) {
									display:none;
								}
							}
						}

						&:has([id*="employmentType"] option[value="OTHER"]:checked) {
							&~.block {
								&:not(:has([id*="employmentTypeOther"])) {
									display:none;
								}
							}
						}
					}
				}

				.block {
					&:has(#ipdlN:checked) {
						&~.block {
							display:none;
						}
					}
				}

				&#profitLine {
					.block {
						&:not(:has(option[data-other="y"]:checked)) {
							&+.block {
								display:none;
							}
						}
					}
				}
			}

			&:not(:has(#insuredType [value="INSURER"]:checked)) {
				.insured {
					&:has([name^="insuredType"] [value="INSURER"]:checked) {
						.line {
							&[id^="employmentTypeLine"] {
								display:flex !important;
								pointer-events:auto !important;
							}

							&:has([id^="height"]) {
								display:flex !important;
								pointer-events:auto !important;
							}
						}
					}
				}
			}

			&:not(:has(#insuredType option[value="OTHER"]:checked,#insuredType option[value="OTHER_CHILD"]:checked)) {
				.line {
					&:has(#insuredIin),
					&:has(#insuredEmail),
					&:has(#relationshipWithInsurer) {
						display:none;
					}
				}
			}

			&:has(#insuredType option[value="OTHER"]:checked) {
				.line {
					&:has(#insuredIin),
					&:has(#insuredEmail) {
						.block {
							&>label {
								&:first-child {
									&:after {
										content:attr(data-other);
									}
								}
							}
						}
					}
				}
			}

			&:has(#insuredType option[value="OTHER_CHILD"]:checked) {
				.line {
					&:has(#insuredIin),
					&:has(#insuredEmail) {
						.block {
							&>label {
								&:first-child {
									&:after {
										content:attr(data-other-child);
									}
								}
							}
						}
					}
				}
			}

			&:not(:has(#hasExtraInsured:checked)) {
				.line {
					&.insured {
						display:none;
					}
				}
			}
		}

		&[data-step="2"] {
			.line {
				&:has(#paymentOrder option[value="OT"]:checked) {
					.block {
						&:has(#paymentPeriod) {
							display:none;
						}
					}
				}
			}

			.beneficiaries-section {
				&+.beneficiaries-section {
					margin-top:30px;
				}

				&[data-type="DEATH"]:not(:has(#beneficiaryTypeDEATH option[value="OTHER"]:checked)),
				&[data-type="SURVIVAL"]:not(:has(#beneficiaryTypeSURVIVAL option[value="OTHER"]:checked)) {
					.line {
						&.beneficiaries {
							display:none;
						}
					}

					#actionLine {
						.ben {
							display:none;
						}
					}

					.block.action {
						display:none;
					}
				}

				.beneficiaries {
					display:flex;
					flex-direction:column;
					gap:20px;

					.beneficiary {
						.line {
							row-gap:20px;
						}

						&:first-child {
							.block {
								&.delete {
									display:none;
								}
							}
						}

						.type {
							&:has(option[value="CHILD"]:checked) {
								~.block {
									&.t-label {
										label {
											&:before {
												content:attr(data-child);
											}
										}
									}
								}
							}

							&:has(option[value="ADULT"]:checked) {
								~.block {
									&.child {
										display:none;
									}
								}
							}
						}

						.t-label {
							label {
								&:before {
									content:attr(data-adult);
								}
							}
						}

						.child {
							&:has(.btn) {
								display:flex;
								align-items:flex-end;
								justify-content:flex-end;
							}
						}
					}
				}

				.block {
					&.delete {
						flex:1;
						align-items:flex-end;
						justify-content:flex-end;
						height:100%;
						align-self:center;
						display:flex;

						.delete {
							display:inline-block;
							padding:0 10px;
							margin:0;
							text-decoration:none;
							font-size:18px;
							color:var(--NomadColor);

							&:hover {
								text-decoration:underline;
							}
						}
					}
				}
			}

			#actionLine {
				.ben {
					.btn {
						padding:0 10px;
						margin:0;
						text-decoration:none;
						font-size:18px;
					}
				}
			}
		}

		&[data-step="3"] {
			/* &:not(:has(#healthDeclaration:checked)) {
				&:not(:has([name*="question"][value="y"]:checked)) {
					#actionLine {
						input {
							&.btn {
								pointer-events:none;
								opacity:0.5;
								background: rgba(244,115,22,.3);
								cursor:default;
								color:var(--NomadColor);
							}
						}
					}
				}
			} */

			.block {
				&:has(#criticalDiseases option[value="0"]:checked) {
					&~.block {
						&:has(#criticalDiseaseAmount) {
							display:none;
						}
					}
				}
			}

			h2 {
				&.title {
					&:not(:has(~.line.fw .block)){
						display:none;

						&+.fw {
							display:none;
						}
					}
				}
			}
		}

		&[data-step="4"] {
			&:has(#financialIncome){
				&:not(:has(#financialDocument a)) {
					#actionLine {
						input {
							&.btn {
								pointer-events:none;
								opacity:0.5;
								background: rgba(244,115,22,.3);
								cursor:default;
								color:var(--NomadColor);
							}
						}
					}
				}
			}
		}

		&[data-step="5"] {
			.line {
				&.step {
					display:flex;
					flex-direction:column;
					gap:15px;

					.actions {
						margin:0;

						display:flex;
						flex-wrap:wrap;
						gap:10px;
						column-gap:30px;

						input.cb+label+input.cb+label {
							margin:0;
						}
					}

					.line {
						gap:10px;
					}

					&[data-step] {
						.actions {
							&:has([id^="question"][id$="N"]:not([id*="_"]):checked) {
								&~.line,
								&~.actions {
									display:none;
								}
							}
						}
					}

					/* &[data-step="5"] {
						&:not(:has(#question6_8N:checked)) {
							.line {
								display:none;
							}
						}
					} */
				}
			}
		}

		&[data-step="6"] {
			&:has(.line.sign .btn) {
				.line {
					&.actions {
						input {
							&.btn {
								display:none;
							}
						}
					}
				}
			}

			.line {
				&.sign {
					display:flex;
					flex-direction:row;
					gap:15px;
					align-items:center;

					.title {
						font-size:18px;
						font-weight:500;
						margin:0;
						flex:1;
					}

					.action {
						display:flex;
						align-items:center;
						gap:15px;
						position:relative;

						.signed {
							font-size:14px;
							font-weight:500;
							color:var(--NomadColor);
							white-space:nowrap;
						}

						.message {
							&.error {
								position:absolute;
								top:100%;
								right:0;
								margin-top:10px;
								color:var(--NomadColor);
								font-weight:500;
								white-space:nowrap;
								text-align:right;
								pointer-events:none;
								z-index:2;
							}
						}
					}
				}
			}
		}

		&:has(#healthDeclaration) {
			&:has(#healthDeclaration:checked) {
				.line {
					&.questions {
						display:none;
					}
				}
			}
		}

		.line {
			&:has(.t.family,.t.obligations) {
				flex-direction:column;
			}

			&.fw {
				flex-wrap:wrap;

				.block {
					&>label {
						&:first-child {
							white-space:nowrap;
						}
					}
				}
			}

			&.description {
				p {
					width:100%;
				}
			}

			&.sticky {
				position:sticky;
				top:0;
				z-index:10;
				background:#fff;
				padding:20px 0;
				margin-bottom:-20px;
			}

			&.insured {
				h2 {
					&.title {
						margin:0;
					}
				}

				.line {
					&+.line {
						margin-top:0;
					}

					&:has(option[value="INSURER"]:checked) {
						&~.line {
							display:none;
							pointer-events:none;
						}
					}

					&:has(option[value="CHILD"]:checked),
					&:has(option[value="OTHER_CHILD"]:checked) {
						&~.line:not(.child) {
							display:none;
						}

						&~.line {
							&:has([id^="height"]),
							&:has([id^="weight"]) {
								display:flex;
							}
						}
					}

					&:not(:has([id*="insuredType"] option[value="OTHER"]:checked,[id*="insuredType"] option[value="OTHER_CHILD"]:checked)) {
						.line {
							&:has([id^="iin"]),
							&:has([id^="email"]),
							&:has([id^="relationship"]) {
								display:none;
							}
						}
					}

					&:has(option[value="OTHER_CHILD"]:checked) {
						&~.line {
							&:has([id^="iin"]),
							&:has([id^="email"]) {
								display:flex;
							}
						}
					}

					&:has([id^="profession"]) {
						&:not(:has([id^="profession"] option[data-other="1"]:checked)) {
							.block {
								&:has([id^="otherProfession"]) {
									display:none;
								}
							}
						}

						&:has([id^="profession"] option[data-other="1"]:checked) {
							.block {
								flex:0 0 calc((100% - var(--Gap))/2);
							}
						}
					}
				}


				&:has([id*="insuredType"] option[value="OTHER"]:checked) {
					.line {
						&:has([id^="iin"]),
						&:has([id^="phone"]) {
							.block {
								&>label {
									&:first-child {
										&:after {
											content:attr(data-other);
										}
									}
								}
							}
						}
					}
				}

				&:has([id*="insuredType"] option[value="OTHER_CHILD"]:checked) {
					.line {
						&:has([id^="iin"]),
						&:has([id^="phone"]) {
							.block {
								&>label {
									&:first-child {
										&:after {
											content:attr(data-other-child);
										}
									}
								}
							}
						}
					}
				}
			}

			&:has(#financialObligations) {
				&:has(option[value="n"]:checked) {
					&+.line {
						display:none;
					}
				}
			}

			.t {
				&.family {
					&+.actions {
						width:100%;
						display:flex;
						flex-direction:column;
						gap:20px;
						align-items:flex-start;
					}

					&:has(.btn) {
						&+.actions {
							#noFamily {
								&:scope,
								&+label {
									display:none;
								}
							}
						}
					}

					.r {
						.c {
							vertical-align:middle;
						}

						&:not(.h) {
							.c {
								&:nth-child(2) {
									~ .c {
										opacity:0.1;
										pointer-events:none;
									}
								}

								&:last-child {
									opacity:1 !important;
									pointer-events:auto !important;
								}

								&:has([id*="age"]) {
									width:125px;
									max-width:125px;
									min-width:125px;
								}

								&:has([id*="health"]),
								&:has([id*="death_diagnosis"]) {
									width:200px;
									max-width:200px;
									min-width:200px;
								}
							}
						}

						&:has(option[value="FATHER"]:checked),
						&:has(option[value="BROTHER"]:checked) {
							.c {
								&:has([id*="alive"]) {
									&>label {
										span {
											line-height: 20px;
											font-size: 16px;

											&:before {
												content:attr(data-alive);
											}
										}
									}
								}
							}
						}

						&:has(option[value="MOTHER"]:checked),
						&:has(option[value="SISTER"]:checked) {
							.c {
								&:has([id*="alive"]) {
									&>label {
										span {
											line-height: 20px;
											font-size: 16px;

											&:before {
												content:attr(data-alive-w);
											}
										}
									}
								}
							}
						}

						&:has([id*="alive"]:checked) {
							.c {
								&:nth-child(3),
								&:nth-child(4) {
									opacity:1 !important;
									pointer-events:auto !important;
								}
							}
						}

						&:not(:has([id*="alive"]:checked)) {
							.c {
								&:nth-child(5),
								&:nth-child(6) {
									opacity:1 !important;
									pointer-events:auto !important;
								}
							}
						}
					}
				}
			}

			&:has(#noFamily:checked) {
				.t {
					&.family {
						display:none;
					}
				}

				.actions {
					.btn {
						display:none;
					}
				}
			}
		}
	}

	dl {
		&.line {
			display:flex;
			flex-direction:column;
			gap:30px;
			margin-top:20px;

			dt {
				font-size: 18px;
				font-weight: 500;
			}

			dd {
				padding:0;
				margin:0;
				display:flex;
				flex-direction:column;
				gap:20px;

				.line {
					&+.line {
						margin:0;
					}

					.actions {
						display:flex;
						gap:30px;
						row-gap:10px;
						flex-wrap:wrap;
						align-items:center;

						input {
							&.cb {
								&~* {
									margin:0;
								}
							}
						}
					}
				}
			}
		}
	}
}